package com.cf.imes.module.executor.service.optimizeplan;

import com.cf.imes.module.executor.controller.admin.plan.vo.AddRemainReqVO;
import com.cf.imes.module.executor.controller.admin.plan.vo.OptimizeParamResVO;
import com.cf.imes.module.executor.controller.admin.plan.vo.PlateOptimize;
import com.cf.imes.module.executor.controller.admin.plan.vo.SavePlanPlateResult;

import java.util.List;

public interface OptimizePlanService {
    List<PlateOptimize> getPlateListByPlanId(Long planId);

    Boolean addRemain(AddRemainReqVO vo);

    Boolean savePlanPlateResult(SavePlanPlateResult result);

    Boolean commit(Long planId);

    OptimizeParamResVO getOptimizeParam(Long planId);
}
